Module java.desktop
Package javax.swing

## Enum JTable.PrintMode

- java.lang.Object
- - java.lang.Enum<JTable.PrintMode>
  - - javax.swing.JTable.PrintMode

All Implemented Interfaces:
  `Serializable`, `Comparable<JTable.PrintMode>`

Enclosing class:
  JTable

    public static enum JTable.PrintMode
    extends Enum<JTable.PrintMode>

Printing modes, used in printing `JTable`s.

Since:
  1.5
See Also:
  `JTable.print(JTable.PrintMode, MessageFormat, MessageFormat, boolean, PrintRequestAttributeSet, boolean)`, `JTable.getPrintable(javax.swing.JTable.PrintMode, java.text.MessageFormat, java.text.MessageFormat)`

### Enum Constant Summary

Enum Constants
`FIT_WIDTH` Printing mode that scales the output smaller, if necessary, to fit the table's entire width (and thereby all columns) on each page; Rows are spread across multiple pages as necessary.
`NORMAL` Printing mode that prints the table at its current size, spreading both columns and rows across multiple pages if necessary.

### Method Summary

All Methods Static Methods Concrete Methods
`static JTable.PrintMode` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static JTable.PrintMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods declared in class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NORMAL

    public static final JTable.PrintMode NORMAL

Printing mode that prints the table at its current size, spreading both columns and rows across multiple pages if necessary.

#### FIT_WIDTH

    public static final JTable.PrintMode FIT_WIDTH

Printing mode that scales the output smaller, if necessary, to fit the table's entire width (and thereby all columns) on each page; Rows are spread across multiple pages as necessary.

### Method Detail

#### values

    public static JTable.PrintMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (JTable.PrintMode c : JTable.PrintMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static JTable.PrintMode valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null